<?php
//ACTIVAR DESDE OTRA PAGINA
	if(strlen($StrId)==0){
		$StrId=V($_GET['Id']);
		if(is_numeric($StrId)==false){
			$StrId="";
		}else{
			$StrCmd="AR";
			$LStrPag=V($_GET['Pag']);
			if(!is_numeric($LStrPag)){
				$LStrPag="";
			}
		}
	}	
	//FUNCION PARA ACTIVAR UN REGISTRO
	if(strlen($StrId)>0 && $StrCmd=="AR"){
		$Id=$StrId;
		$StrNom=gs("dis_nombre","distritos","id_distrito=$Id");		
		$LStrFoc="document.getElementById('TxtNom').focus();";	
		$StrGT="S";	
	}	
	//FUNCIONES DE ACTUALIZACION
	if($StrCmd=="G"){
		if(GetC("distritos","dis_nombre='$StrNom'")>0){
			$LStrMsg="Nombre del distrito ya esta registrado";
			$LStrFoc="document.getElementById('TxtNom').focus();";						
			$StrGT="S";
		}
		if(strlen($StrGT)==0){
			$Id=GenId("id_distrito","distritos");
			$s="INSERT INTO distritos VALUES ($Id,'$StrNom')";
			ejt($s);
			if($LStrMM=="S")	$LStrMsg="Datos registrados";
			$LStrFoc="document.getElementById('TxtNom').focus();";
			$StrGT="S";
			$StrId="";
			$StrNom="";
			$StrObs="";
			$StrGT="S";	
		}
	}
	if($StrCmd=="M"){
		if(GetC("distritos","dis_nombre='$StrNom' AND id_distrito<>$StrId")>0){
			$LStrMsg="Nombre del distrito ya esta registrado";
			$LStrFoc="document.getElementById('TxtNom').focus();";						
			$StrGT="S";
		}		
		if(strlen($StrGT)==0){
			$s="UPDATE distritos SET dis_nombre='$StrNom'
				WHERE id_distrito=$StrId";	
			ejt($s);
			if($LStrMM=="S")	$LStrMsg="Datos actualizados";
			$LStrFoc="document.getElementById('TxtNom').focus();";
			$StrGT="S";
			$StrId="";
			$StrNom="";
			$StrGT="S";	
		}
	}
	if($StrCmd=="E"){
		if(GetC("proveedores","pro_id_distrito=$StrId")>0){
			$LStrMsg="El presente registro esta 
					  relacionado a uno mas proveedores";
			$LStrFoc="document.getElementById('TxtNom').focus();";						
			$StrGT="S";			
		}
		if(GetC("clientes","cli_id_distrito=$StrId")>0){
			$LStrMsg="El presente registro esta 
					  relacionado a uno mas clientes";
			$LStrFoc="document.getElementById('TxtNom').focus();";						
			$StrGT="S";			
		}
		if(strlen($StrGT)==0){
			$s="DELETE FROM distritos WHERE id_distrito=$StrId";	
			ejt($s);
			if($LStrMM=="S")	$LStrMsg="Registro Eliminado";
			$LStrFoc="document.getElementById('TxtNom').focus();";
			$StrGT="S";
			$StrId="";
			$StrNom="";
			$StrGT="S";	
		}		
	}
	//////////////////////////////////
	if($StrGT=="S"){
		if(strlen($LStrMsg)>0){
			if(strlen($LStrFoc)==0){
				$LStrMsg="onload=\"alert('$LStrMsg');\"";
			}else{
				$LStrMsg="onload=\"alert('$LStrMsg');$LStrFoc;\"";
			}
		}else{
			if(strlen($LStrFoc)>0){
				$LStrMsg="onload=\"$LStrFoc;\"";
			}
		}
	}else{
		$LStrFoc="document.getElementById('TxtNom').focus();";
		$LStrMsg="onload=\"$LStrFoc;\"";
	}
?>

